## rig 1.04

=== Makefile ===
PREFIX=/usr
BINDIR=${PREFIX}/bin
MANDIR=${PREFIX}/man
DATADIR=${PREFIX}/share/rig

all: rig rig.6
rig: rig.cc
	g++ -O2 rig.cc -o rig -g -Wall -DDATADIR="\"$(DATADIR)\""

rig.6: rig.6.in
	cat rig.6.in | gcc -E - -P -o rig.6 -DDATADIR="$(DATADIR)"

install: rig rig.6
	install -g 0 -m 755 -o 0 -s rig $(BINDIR)
	install -g 0 -m 644 -o 0 rig.6 $(MANDIR)/man6/rig.6
	install -g 0 -m 755 -o 0 -d $(DATADIR)
	install -g 0 -m 644 -o 0 data/*.idx $(DATADIR)

clean:
	rm -rf *~ *.rej *.orig *.o rig rig.6

## rig 1.11

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
-PREFIX=/usr
+PREFIX=/usr/local
 BINDIR=${PREFIX}/bin
 MANDIR=${PREFIX}/man
 DATADIR=${PREFIX}/share/rig
 
 all: rig rig.6
 rig: rig.cc
-	g++ -O2 rig.cc -o rig -g -Wall -DDATADIR="\"$(DATADIR)\""
+	g++ -g rig.cc -o rig -Wall -DDATADIR="\"$(DATADIR)\""
 
 rig.6: rig.6.in
-	cat rig.6.in | gcc -E - -P -o rig.6 -DDATADIR="$(DATADIR)"
+	sed s@DATADIR@"$(DATADIR)"@g < rig.6.in > rig.6
 
 install: rig rig.6
 	install -g 0 -m 755 -o 0 -s rig $(BINDIR)

=== debian/changelog ===
rig (1.11-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Change debhelper from 5 to 11. (Closes: #965802)
    - Update debian/rules. (Closes: #999011)
      + This should also fix FTCBFS (Closes: #946277)
    - Clean files by debian/clean
  * Change source package to DebSrc3.0 with quilt.
    - Split diff.gz to quilt patches.
  * debian/control: Change priority from extra to optional.
  * debian/copyright: Change to dep5 machine-readable format.
  * Add autopkgtest

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 07 Jan 2022 16:18:35 +0800

rig (1.11-1) unstable; urgency=low

  * New upstream release
  * Removed -s install option in makefile so that the binary isnt stripped
    Closes: #437909

 -- Norbert Veber <nveber@pyre.virge.net>  Wed, 21 Jan 2009 13:08:18 -0500

rig (1.10-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS using patch from "brian m. carlson"
    <sandals@crustytoothpaste.ath.cx>. (Closes: #454891)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 16:22:26 +0100

rig (1.10-4) unstable; urgency=low

  * New maintainer.
    Closes: #353394
  * Fixed the -m and -f options.
    Closes: #176481
  * Updated area code for Biloxi, MS.
    Closes: #113094

 -- Norbert Veber <nveber@pyre.virge.net>  Wed,  1 Mar 2006 16:34:04 -0500

rig (1.10-3) unstable; urgency=low

  * Fix FTBFS with g++ 3.3 (Closes: #195023)

 -- Aaron Lehmann <aaronl@vitelus.com>  Wed, 28 May 2003 01:46:49 -0700

rig (1.10-2) unstable; urgency=low

  * Fix spelling error in description (Closes: #125317)

 -- Aaron Lehmann <aaronl@vitelus.com>  Sat, 11 Jan 2003 22:07:42 -0800

rig (1.10-1) unstable; urgency=low

  * New upstram version.
  * Builds (and built) with g++ 3.2.

 -- Aaron Lehmann <aaronl@vitelus.com>  Sun, 05 Jan 2003 21:24:45 -0800

rig (1.04-1) unstable; urgency=low

  * Initial Release. (Closes: #111659)

 -- Aaron Lehmann <aaronl@vitelus.com>  Sat,  8 Sep 2001 23:46:52 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: rig
Section: misc
Priority: optional
Maintainer: Norbert Veber <nveber@debian.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 3.8.0

Package: rig
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Random identity generator
 RIG (Random Identity Generator) is a free replacement for a shareware
 program out there called 'fake'. It generates random, yet real-looking,
 personal data. It is useful if you need to feed a name to a Web site,
 BBS, or real person, and are too lazy to think of one yourself. Also,
 if the Web site/BBS/person you are giving the information to tries to
 cross-check the city, state, zip, or area code, it will check out.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@
